cURL
curl --request GET \
--url https://api.opal.dev/v1/bundles/{bundle_id}/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/bundles/{bundle_id}/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/bundles/{bundle_id}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
"previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
"total_count": 2,
"bundle_groups": [
{
"id": "a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1",
"name": "Group 1"
},
{
"id": "8294e9c9-deb6-48e9-9c99-da2a1e04a87f",
"name": "Group 2"
}
]
}Returns a list of Group objects in a given bundle.
GET
/
bundles
/
{bundle_id}
/
groups
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the bundle.
Query Parameters
The maximum number of groups to return from the beginning of the list. Default is 200, max is 1000.
A cursor indicating where to start fetching items after a specific point.
Response
200 - application/json
A list of groups for the bundle.
Show child attributes
Show child attributes
The cursor used to obtain the current result page.
Example:
"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"
The cursor with which to continue pagination if additional result pages exist.
Example:
"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
The total number of items in the result set.
Example:
2
Last modified on August 27, 2026
Was this page helpful?